Bug 1544401 - k-backup fails when passed a relative path for the destination
Summary: k-backup fails when passed a relative path for the destination
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Backup & Restore
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Evgeni Golov
QA Contact: jcallaha
URL:
Whiteboard:
Depends On: 1544396 1553882 1553883
Blocks: 1557333
TreeView+ depends on / blocked
 
Reported: 2018-02-12 11:33 UTC by Evgeni Golov
Modified: 2019-06-13 21:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
*Known Issue* Running `katello-backup` with a relative path for the destination, for example `katello-backup .', causes an error. *Workaround* Run `katello-backup` with a full path. For example 'katello-backup /backup-destination'.
Clone Of: 1544396
: 1557333 (view as bug list)
Environment:
Last Closed: 2018-04-13 13:29:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1126 None None None 2018-04-13 13:31:33 UTC
Foreman Issue Tracker 22548 None None None 2018-02-12 11:33:06 UTC

Comment 4 jcallaha 2018-03-26 17:30:11 UTC
Verified in Satellite 6.3.1.


-bash-4.2# pwd
/tmp

-bash-4.2# mkdir backup

-bash-4.2# katello-backup backup

DEPRECATION WARNING: katello-backup is deprecated and will
be removed in the next Satellite release. It is being replaced by
satellite-backup. Redirecting to satellite-backup now.

Starting backup: 2018-03-26 19:15:37 +0200
Creating backup folder /tmp/backup/satellite-backup-20180326191537
Generating metadata ... 
Done.
Backing up config files... 
Done.

...

Done with backup: 2018-03-26 19:18:16 +0200
**** BACKUP Complete, contents can be found in: /tmp/backup/satellite-backup-20180326191537 ****


-bash-4.2# ll backup/
total 0
drwxrwx---. 2 root postgres 203 Mar 26 19:18 satellite-backup-20180326191537

Comment 6 errata-xmlrpc 2018-04-13 13:29:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1126


Note You need to log in before you can comment on or make changes to this bug.